### Signal

# GtkSource View::smart-home-end

#### Declaration

    void
    smart_home_end (
      GtkSourceView* self,
      const GtkTextIter* iter,
      gint count,
      gpointer user_data
    )

#### Description [src]

Emitted when a the cursor was moved according to the smart home end setting.

The signal is emitted after the cursor is moved, but during the `GtkTextView::move-cursor` action. This can be used to find out whether the cursor was moved by a normal home/end or by a smart home/end.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The data is owned by the caller of the function.

`count`

  Type: `gint`

  The count.